<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="layout.xhtml">

  <ui:define name="title">Create a new book</ui:define>

  <ui:define name="content">

    <h:form id="bookForm">

      <h:panelGrid columns="2">
        <h:outputLabel value="Title : "/>
        <h:inputText value="#{bookController.book.title}"/>

        <h:outputLabel value="Price : "/>
        <h:inputText value="#{bookController.book.price}"/>

        <h:outputLabel value="Description : "/>
        <h:inputTextarea value="#{bookController.book.description}" cols="16" rows="3"/>

        <h:outputLabel value="Number of pages : "/>
        <h:inputText value="#{bookController.book.nbOfPage}"/>

        <h:outputLabel value="Illustrations : "/>
        <h:selectBooleanCheckbox value="#{bookController.book.illustrations}"/>
      </h:panelGrid>

      <h:commandButton value="Create a book" action="#{bookController.doCreateBook}">
        <f:ajax execute="@form" render=":booklist :errors"/>
      </h:commandButton>

    </h:form>

    <hr/>
    <h1>List of books</h1>

    <h:dataTable id="booklist" value="#{bookEJB.findAllBooks()}" var="bk" border="1">

      <h:column>
        <f:facet name="header">
          <h:outputText value="Title"/>
        </f:facet>
        <h:link outcome="viewBook.xhtml?id=#{bk.id}" value="#{bk.title}"/>
      </h:column>

      <h:column>
        <f:facet name="header">
          <h:outputText value="Price"/>
        </f:facet>
        <h:outputText value="#{bk.price}"/>
      </h:column>

    </h:dataTable>
  </ui:define>

</ui:composition>
</html>

